Katello - Bug #21051

“Unregister Host” needs a clear instruction for options under it
09/21/2017 05:59 AM - Ashish Humbe

Status: Closed
Priority: Normal
Assignee: Ashish Humbe
Category: Hosts
Target version: Katello 3.6.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1397590 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/696
2itps://github.com/KateIIo/kateIIo/puII/708
4
Description

Need a clear information on “Unregister Host” options as it deleted the host itself

Customer wants a clear instruction of the following option “ Satellite Ul - > Content Host - > Host - > “Unregister Host” - > “Completely
delete the host record and remove all reporting, provisioning, and configuration information” as it shutdown and delete the VM from
ESX/compute resource also.

Related issues:
Has duplicate Foreman - Feature #23711: [RFE] “Unregister Host” needs a clea... Duplicate 05/28/2018

Associated revisions

Revision 1875ec2a - 12/20/2017 02:27 AM - Walden Raines

Fixes #21051: warn on unregistering of host if delete enabled.

If the setting 'unregister_delete_host' is set then we should warn users
upon unregistering a host and selecting 'delete host record' that the
action could remove the VM.

http://projects.theforeman.org/issues/21051

History

#1 - 09/21/2017 09:49 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/6965 added

#3 - 09/27/2017 02:18 PM - Justin Sherrill

- translation missing: en.field_release set to 284

#4 - 11/22/2017 10:45 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/7084 added

#5 - 12/20/2017 03:01 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|1875ec2a5ae628fb4f28ea1cb91ebd0501c87314.

#6 - 06/13/2018 06:47 AM - Kavita Gaikwad

- Has duplicate Feature #23711: [RFE] “Unregister Host” needs a clear instruction for options under it added
http://projects.theforeman.org/issues/21051
https://projects.theforeman.org/projects/katello/repository/katello/revisions/1875ec2a5ae628fb4f28ea1cb91ebd0501c87314

#7 - 06/13/2018 06:52 AM - Kavita Gaikwad

- Assignee changed from Ashish Humbe to Walden Raines

#8 - 01/02/2019 03:27 PM - Walden Raines

- Assignee changed from Walden Raines to Ashish Humbe
